# GET /custom-scripts/:script_id/invocations

**Resource:** [Custom Scripts](./custom-scripts.md)  
**MCP tool:** `get_custom_script_invocations`  
**Scopes:** `custom-scripts:read`  
**Write operation:** no

List recent runs of a Custom Script — status (dispatched/completed/failed/timed_out), result, error, who invoked it, and timing.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `script_id` | path | string | yes |  |
| `limit` | query | number | no |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/custom-scripts/:script_id/invocations"   -H "Authorization: Bearer YOUR_API_KEY"
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`